#
# spec file for package slowmoVideo
#
# Copyright (c) 2020 Packman Team <packman@links2linux.de>
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           slowmoVideo
Version:        0.6
Release:        pm153.1.6
Summary:        Video slow motion effect via interpolation
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://slowmovideo.granjow.net/
Source:         %{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE slowmoVideo-desktop.patch produce proper desktop file -- aloisio@gmx.com
Patch1:         slowmoVideo-desktop.patch
BuildRequires:  ImageMagick
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
%if 0%{?sle_version} >= 150200 || %{?suse_version} > 1500
BuildRequires:  pkgconfig(glut)
%else
BuildRequires:  pkgconfig(freeglut)
%endif
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(sdl)
Requires:       ffmpeg
Requires:       slowmoFlowBuilder

%description
Is an OpenSource program that creates slow-motion videos from your footage..

But it does not simply make your videos play at 0.01× speed. You can
smoothly slow down and speed up your footage, optionally with motion blur.

How does slow motion work? slowmoVideo tries to find out where pixels move
in the video (this information is called Optical Flow), and then uses this
information to calculate the additional frames between the ones recorded by
your camera.

%prep
%autosetup -p1

%build
%cmake \
	-DCMAKE_BUILD_TYPE:STRING=Release \
	-DENABLE_TESTS:BOOL=false
%cmake_build

%install
%cmake_install
for s in 16 32 48 64 96 128 192 256 512; do
   mkdir -pv %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
   convert -strip -scale ${s}x${s} src/slowmoUI/res/AppIcon.png %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/slowmoUI.png
done

%files
%{_bindir}/slowmoFlowEdit
%{_bindir}/slowmoInterpolate
%{_bindir}/slowmoRenderer
%{_bindir}/slowmoUI
%{_bindir}/slowmoVideoInfo
%{_bindir}/slowmoVisualizeFlow
%{_datadir}/applications/slowmoUI.desktop
%{_datadir}/icons/hicolor/*/apps/slowmoUI.png

%changelog
* Tue Oct  6 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.6 (no changelog supplied)
- Use current ffmpeg and Qt5
- Drop slowmoVideo-0.4_link_libraries.patch (no longer necessary)
- Add _service file
- Add slowmoVideo-desktop.patch
- Spec cleanup
* Thu Aug 20 2015 avvissu@yandex.ru
- Update to 0.4
- Fix build on openSUSE > 13.2 (slowmoVideo-0.4_link_libraries.patch)
- Change: URL and license
- Download source from GitHub
- Use pkgconfig(foo) style
- Use %%%%cmake and %%%%cmake_install
- Create .desktop file in the spec file
* Mon May 26 2014 guillaume@opensuse.org
- Initial version 0.3
